Skip to Content
veriom

Get upload

GET
/v1/workspaces/{workspace_id}/uploads/{upload_id}

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
upload_id*Upload Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
compressed_bytes*Compressed Bytes
content_type*Content Type
created_at*Created At
Formatdate-time
expires_at*Expires At
Formatdate-time
file_count*integer|null
filename*Filename
id*Id
Formatuuid
malware_status*Malware Status
purpose*Purpose
Value in"artifact""repository_zip"
removed_at*|null
sha256*Sha256
unpacked_bytes*integer|null
upload_headers?
upload_url?string|null
validation_error_code*string|null
validation_error_detail*string|null
validation_progress*Validation Progress
Range0 <= value <= 100
validation_stage*Validation Stage
Value in"awaiting_upload""queued""downloading""inspecting_archive""scanning_malware""complete""rejected""failed"
workspace_id*Workspace Id
Formatuuid
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/uploads/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "compressed_bytes": 0,  "content_type": "string",  "created_at": "2019-08-24T14:15:22Z",  "expires_at": "2019-08-24T14:15:22Z",  "file_count": 0,  "filename": "string",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "malware_status": "string",  "purpose": "artifact",  "removed_at": "2019-08-24T14:15:22Z",  "sha256": "string",  "unpacked_bytes": 0,  "upload_headers": {    "property1": "string",    "property2": "string"  },  "upload_url": "string",  "validation_error_code": "string",  "validation_error_detail": "string",  "validation_progress": 0,  "validation_stage": "awaiting_upload",  "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"}